#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.11.0.7
visibility:           public
id:                   lsp-test-0.11.0.7-AQwhSo9V0q137NkabOg184
key:                  lsp-test-0.11.0.7-AQwhSo9V0q137NkabOg184
license:              BSD-3-Clause
copyright:            2020 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:             https://github.com/bubba/lsp-test#readme
synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.Haskell.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire, and @Language.Haskell.LSP.Test@ can replay captured sessions from
    <haskell-lsp https://hackage.haskell.org/package/haskell-lsp>.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  418e9107ea70e45cd719908a4496e9f4
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd:Control.Applicative.Combinators,
    Language.Haskell.LSP.Test, Language.Haskell.LSP.Test.Replay,
    Language.Haskell.LSP.Types from haskell-lsp-types-0.24.0.0-LlpzBZ2iNz0Glw4hkMsvWL:Language.Haskell.LSP.Types,
    Language.Haskell.LSP.Types.Capabilities from haskell-lsp-types-0.24.0.0-LlpzBZ2iNz0Glw4hkMsvWL:Language.Haskell.LSP.Types.Capabilities

hidden-modules:
    Language.Haskell.LSP.Test.Compat Language.Haskell.LSP.Test.Decoding
    Language.Haskell.LSP.Test.Exceptions
    Language.Haskell.LSP.Test.Files Language.Haskell.LSP.Test.Messages
    Language.Haskell.LSP.Test.Parsing Language.Haskell.LSP.Test.Server
    Language.Haskell.LSP.Test.Session

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-test-0.11.0.7
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-test-0.11.0.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-test-0.11.0.7
hs-libraries:         HSlsp-test-0.11.0.7-AQwhSo9V0q137NkabOg184
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-7vaf1TMX7dPGS3k3lmChvj
    aeson-1.5.6.0-4lI4Q9XYYOw6EMYr9f1A41
    aeson-pretty-0.8.8-3SYKe49AUmZ7yYhfhYdQav
    ansi-terminal-0.11-6nluG5txe6B9NiOiR32C01
    async-2.2.3-DvF9gf9qyfPK6D6feIe45y base-4.14.1.0
    bytestring-0.10.12.0 conduit-1.3.4.1-ENcTGYzPJ8m2F1ehg5iXbN
    conduit-parse-0.2.1.0-GBj13Ju7prb8rkovn3wJyB containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV directory-1.3.6.0
    filepath-1.4.2.1 haskell-lsp-0.24.0.0-G6toCq75wUSP5ltOgBLqY
    lens-5.0.1-5GxJ86cAU3sdXhtaaqFwQ mtl-2.2.2
    parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd process-1.6.9.0
    text-1.2.4.1 transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.13.0-KzaktTJkN1lG5bdgci6oxQ

haddock-interfaces:   /usr/share/doc/haskell-lsp0-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp0-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

